Page MenuHomePhabricator

Organize pre-summit meetup to help participants form project teams for 'Get Stuff Done Day': On Tuesday January 3rd, 2017 10am - 11:30am PST
Closed, ResolvedPublic

Description

This task is a result of the initial brainstorming for T146613: Improve remote participation at the Wikimedia Developer Summit 2017 and a recent discussion T146613#2775399 on it. The goal of this task is clear from it's title.

Action items:

  • Week of Dec 11th: Recruit WMF members
  • Week of Dec 18th:
    • Send invitations to registered participants, asking them to add their names to a wiki page if they are interested in attending the event. Include ‘How to Participate’ instructions to participants/WMF members, with some specific asks. For example: Come prepare with the projects you would like to talk about and any questions you might have before attending the summit.
    • Prepare event organizers
  • On Jan 2nd: Send event reminders
  • On Jan 3rd: Run the event
  • Send a follow-up email to participants, concluding what happened! Consider writing a blog post

Event Timeline

Qgil triaged this task as Normal priority.Nov 8 2016, 2:16 PM
Qgil moved this task from Backlog to Ready to Go on the Developer-Advocacy (Oct-Dec-2016) board.

As a format, this sounds like a Tech Talk. Makes sense.

One question, why to inform only third day participants? Maybe people also have questions about the previous two days?

Qgil added a comment.Nov 22 2016, 1:07 PM

If we want to organize an event before the Summit, we should define a date pretty soon, considering all the holidays that there are in between.

I will be happy to help organize this, however I would like at least 3 other longer term knowledgeable WMF staff / volunteers to help organize this and be present to connect people during the event. If we can find those people than @srishakatux & I should be able to do the rest. Any volunteers to help or nominations?

srishakatux added a comment.EditedNov 23 2016, 7:43 AM

Tentative agenda for meeting with @Rfarrand: [I'll update the task description with action items, once we finalize on this plan and run it by @Qgil]

Before the event

  • Week of December 11th
    • Recruit WMF members
  • Week of December 18th
    • Send invitations to registered participants, asking them to add their names to a wiki page if they are interested in attending the event. Include ‘How to Participate’ instructions to participants/WMF members, with some specific asks. For example: Come prepare with the projects you would like to talk about and any questions you might have before attending the summit.
    • Prepare event organizers
  • On January 2nd, 2017
    • Send event reminders

The Event

Tentative date Tuesday 3rd, 2017 10am PST - 11:30am PST
Venue Unhangout platform (I think it would be a cool experiment! :))

Timeline
10:00 - 10:15am - Live video introductions from 1-2 knowledgeable WMF staff members explaining the event logistics and agenda
10:15 - 10:25am - In the platform lobby, people propose topics for projects/ features they would like to work on during the hackathon, indicating the skillset it would require, and draw interested participants to their discussion. 5 of us (3 WMF staff members including Rachel and I) be present in the breakouts to facilitate the conversation if needed and take some notes.
10:25 - 11:00am - People talk about the projects in small groups with others in breakouts (G+ hangout based)
11:00am - 11:30am - People convene in the Lobby again, and we explain the remaining event logistics. Rachel and I stay until the end of the event to help answer any logistics related questions that people might have.

After the event
We send a follow-up email to participants, concluding what happened!

Yeah!!! I really like how organized you are with these timelines. That type of thing is going to be very helpful around here. :) :)

Can you tell me more about the unhangout platform? I think we should test it before using the new tool. Happy to test it out with you.. maybe we could even test it in one of our weekely team meetings in advance to make sure we get multiple people on it and using it. :) @bcampbell do you have any exp looking into that tool?

@Rfarrand I'm not familiar with Unhangout, but I'll look into it today.

@bcampbell @Rfarrand Just sent you both cal invite for the tool demo. I could walk you through the platform, and share how I am envisioning we could do the pre-summit gathering online, and learn more about your thoughts/ questions/ concerns.

@Rfarrand What do you think about the tentative date I have put up in the task, should we finalize it?

Sounds good! talk to you guys on Monday!

srishakatux renamed this task from Organize an online event before the developer summit to help participants interested in hacking on the third day form project teams to Organize an online event before the developer summit to help participants interested in hacking on the third day form project teams: Tuesday January 3rd, 2017 10am PST - 11:30am PST .Dec 1 2016, 10:54 PM
srishakatux renamed this task from Organize an online event before the developer summit to help participants interested in hacking on the third day form project teams: Tuesday January 3rd, 2017 10am PST - 11:30am PST to Organize an online event pre-devsummit to help participants form project teams for hackathon day: On Tuesday January 3rd, 2017 10am - 11:30am PST .
srishakatux renamed this task from Organize an online event pre-devsummit to help participants form project teams for hackathon day: On Tuesday January 3rd, 2017 10am - 11:30am PST to Organize an online event before dev summit to help participants form project teams for hackathon day: On Tuesday January 3rd, 2017 10am - 11:30am PST .Dec 1 2016, 10:57 PM
srishakatux updated the task description. (Show Details)Dec 7 2016, 9:42 PM

I think it's a go-go for the Unhangout tool from @bcampbell.

@Qgil Do you have recommendations for 1-2 knowledgeable WMF staff members who we could recruit to give introductions at the beginning of the event, and help moderate the breakout room conversations? cc @Rfarrand

Qgil added a comment.Dec 8 2016, 10:31 AM

What kind of introductions?

Someone who could, in the beginning, give people some ideas about projects they could choose to work on during the third day (I am not sure if our participants might already have some).

Also, at the beginning of the event, as we are planning on inviting people to propose project ideas they have in mind using the "participant-proposed" session feature of the tool and draw interested candidates to their discussion, someone who could help facilitate a discussion around those ideas would be great! And, stick around to address any project-specific questions that people might have at the end when we wrap-up. That's all that I can think of; we would need from the WMF member! :)

srishakatux raised the priority of this task from Normal to High.Dec 8 2016, 10:22 PM
Qgil added a subscriber: bd808.Dec 9 2016, 9:32 AM

Mmm... I have this feeling that we are putting the cart before the horses in this task? I think first we (at least @Rfarrand @srishakatux @Qgil) need to have a clear idea of what this day is about, and then we can think of people for this events.

I recommend to start with these steps:

  • Create a task about organizing that day, and a wiki page for it if needed.
  • Agree on what is that day about, what we offer to participants, and how it is called.
  • Agree on how people can start organizing themselves already today.

Once these points are clear, organizing an info sessions should be pretty simple. Without solving these points, we will struggle organizing an info session.

For instance, yesterday on IRC @bd808 asked whether there was a place to list hackathon tasks, because he had one and didn't want to forget. I suggested that we could have a column in the Wikimedia-Developer-Summit (2017) workboard for Wednesday activities. Looks like a simple step to unblock self-organization around this day?

Can we test out the Unconference tool during out team meeting on Tuesday next week please!?

Mmm... I have this feeling that we are putting the cart before the horses in this task? I think first we (at least @Rfarrand @srishakatux @Qgil) need to have a clear idea of what this day is about, and then we can think of people for this events.
I recommend to start with these steps:

  • Create a task about organizing that day, and a wiki page for it if needed.

I have listed a few immediate steps that I could work on here T152814

  • Agree on what is that day about, what we offer to participants, and how it is called.

I would need some pointers to think about the framing for this one, if there is anything special we have plans to offer :) @Qgil any ideas?

  • Agree on how people can start organizing themselves already today.

Once these points are clear, organizing an info sessions should be pretty simple. Without solving these points, we will struggle organizing an info session.
For instance, yesterday on IRC @bd808 asked whether there was a place to list hackathon tasks, because he had one and didn't want to forget. I suggested that we could have a column in the Wikimedia-Developer-Summit (2017) workboard for Wednesday activities. Looks like a simple step to unblock self-organization around this day?

I've commented about this in the parent task.

@Rfarrand Sounds good! I have added the tool demo/testing to the group discussion items of our meeting doc :)

Would it be possible to hold the entire meeting on it?
If yes, could you provide instructions to everyone on how to join (instead
of joining the hangout) so that we can just do it?
Then maybe at the end 5 min of the meeting we can ask for some feedback?

I think that 20 minutes would really be a reasonable time for us to talk about the tool :) 5 minutes I give demo, and then 15 minutes we seek feedback. What do you think?

I missed one of your points. I agree, let's host the meeting on Unhangout! I will send instructions to our team members before the meeting on how to join.

srishakatux renamed this task from Organize an online event before dev summit to help participants form project teams for hackathon day: On Tuesday January 3rd, 2017 10am - 11:30am PST to Organize pre-summit meetup to help participants form project teams for 'Get Stuff Done Day': On Tuesday January 3rd, 2017 10am - 11:30am PST .Dec 20 2016, 9:02 PM
srishakatux added a comment.EditedDec 20 2016, 10:37 PM

IMO, we have everything for the pre-summit meetup:
https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Pre-summit_Meetup. We now need a WMF member to join @Rfarrand and me for the online meetup. Someone from the program committee perhaps, who could help facilitate project ideas or answer any related questions that participants might have. @Qgil wondering if you could carve out some time for this :P?

Qgil added a comment.Dec 21 2016, 10:10 AM

Well, of course!

This comment was removed by srishakatux.
srishakatux closed this task as Resolved.Jan 4 2017, 12:47 AM

This happened today, and we wrapped up the event in 30 minutes, an hour before we had planned to do so. There were two people excluding the WMF members who joined us and we encountered technical glitches in the Unhangout's now Jitsi based breakout room.

What I learned, that for the developer summit, where there is already a lot going on before the event, such as proposing unconference activity, discussing on them, self-explanatory emails that get sent out, there isn't may be much significance of such pre-meetup.

Will think more about what we could ask in the feedback survey to learn from participants when I'll get to metrics tracking here T152453. Closing this task for now.

For what it's worth, attendance may have been lower than otherwise due to the date/time chosen for this unhangout. Tuesday was the first day back at work for many of us, and I didn't even see the reminder until after the morning event was over. (I also had a meeting conflict.)

I think there is potential value in something like this in the future, but I'm not sure of the best time, format, channel, or audience.